#ifndef __NLLINE_H_INCLUDED__
#define __NLLINE_H_INCLUDED__

typedef char **rl_completion_func_t(const char *text, int start, int end);
extern rl_completion_func_t *rl_attempted_completion_function;

char *readline(const char *prompt);
void add_history(const char *line);
void clear_history(void);

#endif
